local Seeder = {}

local metatable = {}
metatable.__call = function (self)
	if type(self.Rule) ~= 'function' or type(self.Quantity) ~= 'number' then
		print("Don't mess up with the Seeder's Rule or Quantity")
	else
		local seed = {}

		for i=1,self.Quantity do
			table.insert(seed, Seeder:Rule())
		end
		return seed
	end
end

setmetatable(Seeder, metatable)

Seeder.Quantity = nil
Seeder.Rule = nil

Seeder.Seed = {}

return Seeder
